Doomsday Engine - Feature #1621
Feature # 1617 (New): Scoped definitions and variables
Evaluation of runtime conditions
2013-10-21 16:57 - skyjake

Status: Closed Start date: 2013-10-21
Priority: High % Done: 0%
Assignee:

Category: Redesign

Target version:

Description

Some conditions (e.g., scopes) can only be determined at runtime as the game world is dynamically changing. This means that
evaluation of the condition must be extremely fast, and it should not be done if the result is already known due to a previous
evaluation.

A "condition" in this case would be a simple expression consisting of arithmetic and logical operations. In practice, one would have to
observe the condition operands for changes and only re-evaluate if one of them changes its value.

One implementation possibility would be to use the classes of the Doomsday Script expression evaluator directly.

History

#1 - 2013-10-21 16:58 - skyjake
- Parent task set to #1617

#2 - 2019-11-29 18:36 - skyjake

- Status changed from New to Closed

Closing as obsolete.
